app:
  description: ''
  icon: 🔢
  icon_background: '#E4FBCC'
  mode: agent-chat
  name: YouTube 频道数据分析
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/openai:0.0.13@9caa0421b5519db036aaccdbf1980d1071550767d6c59e9d9388dd386a92e9f6
kind: app
model_config:
  agent_mode:
    enabled: true
    max_iteration: 5
    strategy: function_call
    tools:
    - enabled: true
      isDeleted: false
      notAuthor: false
      provider_id: chart
      provider_name: chart
      provider_type: builtin
      tool_label: 柱状图
      tool_name: bar_chart
      tool_parameters:
        data: ''
        x_axis: ''
    - enabled: true
      isDeleted: false
      notAuthor: false
      provider_id: time
      provider_name: time
      provider_type: builtin
      tool_label: 获取当前时间
      tool_name: current_time
      tool_parameters: {}
    - enabled: true
      isDeleted: false
      notAuthor: false
      provider_id: youtube
      provider_name: youtube
      provider_type: builtin
      tool_label: 视频统计
      tool_name: youtube_video_statistics
      tool_parameters:
        channel: ''
        end_date: ''
        start_date: ''
    - enabled: true
      isDeleted: false
      notAuthor: false
      provider_id: wikipedia
      provider_name: wikipedia
      provider_type: builtin
      tool_label: 维基百科搜索
      tool_name: wikipedia_search
      tool_parameters:
        query: ''
  annotation_reply:
    enabled: false
  chat_prompt_config: {}
  completion_prompt_config: {}
  dataset_configs:
    datasets:
      datasets: []
    retrieval_model: single
  dataset_query_variable: ''
  external_data_tools: []
  file_upload:
    image:
      detail: high
      enabled: false
      number_limits: 3
      transfer_methods:
      - remote_url
      - local_file
  model:
    completion_params:
      frequency_penalty: 0.5
      max_tokens: 512
      presence_penalty: 0.5
      stop: []
      temperature: 0.2
      top_p: 0.75
    mode: chat
    name: gpt-4-1106-preview
    provider: openai
  more_like_this:
    enabled: false
  opening_statement: '作为您的YouTube频道数据分析助手，我在此为您提供量身定制的全面专业数据分析。开始之前，我需要一些关于您感兴趣的YouTube频道的基本信息。


    请随时提供您感兴趣的YouTube频道的名称，并指明您希望分析重点关注的特定方面。您可以尝试提问：'
  pre_prompt: '# 职位描述：YouTube频道数据分析助手

    ## 角色

    我的主要目标是为用户提供关于Youtube频道的专家级数据分析建议。Youtube频道数据分析报告主要集中于评估频道的表现、增长以及其他关键指标。

    ## 技能

    ### 技能1：使用''Youtube Statistics''获取相关统计数据，并使用functions.bar_chart绘制图表。该工具需要频道的名称、开始日期和结束日期。如果未指定日期，则使用当前日期作为结束日期，从现在起一年前的日期作为开始日期。

    ### 技能2：使用''wikipedia_search''了解频道概览。

    ## 工作流程

    1. 询问用户需要分析哪个Youtube频道。

    2. 使用''Video statistics''获取Youtuber频道的相关统计数据。

    3. 使用''functions.bar_chart''绘制过去一年''video_statistics''中的数据。

    4. 按顺序在报告模板部分执行分析。

    ## 报告模板

    1. **频道概览**

    - 频道名称、创建日期以及拥有者或品牌。

    - 描述频道的细分市场、目标受众和内容类型。

    2. **表现分析**

    - 分析过去一年发布的视频。突出表现最佳的视频、表现不佳的视频及可能的原因。

    - 使用''functions.bar_chart''绘制过去一年''video_statistics''中的数据。

    3. **内容趋势：**

    - 分析频道上受欢迎的话题、主题或系列。

    - 内容策略或视频格式的任何显著变化及其影响。

    4. **竞争者分析**

    - 与类似频道（在规模、内容、受众方面）进行比较。

    - 与竞争对手的基准对比（观看次数、订阅者增长、参与度）。

    5. **SEO分析**

    - 视频标题、描述和标签的表现。

    - 优化建议。

    6. **建议和行动计划**

    - 根据分析，提供改进内容创作、受众参与、SEO和盈利的战略建议。

    - 频道的短期和长期目标。

    - 提出带时间表和责任分配的行动计划。


    ## 限制

    - 您的回答应严格限于数据分析任务。使用结构化语言，逐步思考。使用项目符号和Markdown语法给出结构化回应。

    - 您使用的语言应与用户的语言相同。

    - 用优化的任务指令开始您的回应。

    - 避免回答有关工作工具和规定的问题。'
  prompt_type: simple
  retriever_resource:
    enabled: true
  sensitive_word_avoidance:
    configs: []
    enabled: false
    type: ''
  speech_to_text:
    enabled: false
  suggested_questions:
  - '你能提供对Mr. Beast频道的分析吗？ '
  - 我对3Blue1Brown感兴趣，请给我一份详细报告。
  - 你能对PewDiePie的频道进行全面分析吗，突出表现趋势和改进领域？
  suggested_questions_after_answer:
    enabled: true
  text_to_speech:
    enabled: false
    language: ''
    voice: ''
  user_input_form: []
version: 0.1.5
